libstdc++: __gnu_cxx::__detail::_Bitmap_counter< _Tp > Class Template Reference

libstdc++

__gnu_cxx::__detail::_Bitmap_counter< _Tp > Class Template Reference

`#include <bitmap_allocator.h>`

## Public Member Functions
| _Bitmap_counter (_BPVector &Rvbp, long __index=-1)
pointer | _M_base () const throw ()
bool | _M_finished () const throw ()
std::size_t * | _M_get () const throw ()
_Index_type | _M_offset () const throw ()
void | _M_reset (long __index=-1) throw ()
void | _M_set_internal_bitmap (std::size_t *__new_internal_marker) throw ()
_Index_type | _M_where () const throw ()
_Bitmap_counter & | operator++ () throw ()

## Detailed Description

template<typename _Tp>
class __gnu_cxx::__detail::_Bitmap_counter< _Tp >

The bitmap counter which acts as the bitmap manipulator, and manages the bit-manipulation functions and the searching and identification functions on the bit-map.

Definition at line 396 of file bitmap_allocator.h.

## Constructor & Destructor Documentation

## ◆ _Bitmap_counter()

template<typename _Tp>

__gnu_cxx::__detail::_Bitmap_counter< _Tp >::_Bitmap_counter | ( | _BPVector & | Rvbp,
|  | long | __index = -1 )
| inline

Definition at line 412 of file bitmap_allocator.h.

## Member Function Documentation

## ◆ _M_base()

template<typename _Tp>

pointer __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_base | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 468 of file bitmap_allocator.h.

## ◆ _M_finished()

template<typename _Tp>

bool __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_finished | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 445 of file bitmap_allocator.h.

## ◆ _M_get()

template<typename _Tp>

std::size_t * __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_get | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 464 of file bitmap_allocator.h.

## ◆ _M_offset()

template<typename _Tp>

_Index_type __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_offset | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 472 of file bitmap_allocator.h.

## ◆ _M_reset()

template<typename _Tp>

void __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_reset | ( | long | __index = -1 | ) |
throw | ( | ) |  |  |
| inline

Definition at line 416 of file bitmap_allocator.h.

## ◆ _M_set_internal_bitmap()

template<typename _Tp>

void __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_set_internal_bitmap | ( | std::size_t * | __new_internal_marker | ) |
throw | ( | ) |  |  |
| inline

Definition at line 441 of file bitmap_allocator.h.

## ◆ _M_where()

template<typename _Tp>

_Index_type __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_where | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 480 of file bitmap_allocator.h.

## ◆ operator++()

template<typename _Tp>

_Bitmap_counter & __gnu_cxx::__detail::_Bitmap_counter< _Tp >::operator++ | ( |  | ) |
throw | ( | ) |  |  |
| inline

Definition at line 449 of file bitmap_allocator.h.

The documentation for this class was generated from the following file:

- bitmap_allocator.h